package com.sundot.airport.exam.logic.manage.model.params;



import com.sundot.airport.exam.common.BasePageParam;

import javax.validation.constraints.NotBlank;

/**
 * <b>功能名：</b>ExamRecordPageParam<br>
 * <b>说明：</b> 考试记录分页列表请求参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-07-06 liangxiao
 */
public class ExamRecordPageParam extends BasePageParam {

    /**
     * 考试业务主键
     */
    @NotBlank(message = "考试id不能为空")
    private String exId;

    /**
     * 用户姓名
     */
    private String usrName;

    /**
     * 战区id
     */
    private String erWzId;

    /**
     * 省编码
     */
    private String erKiProvinceCode;

    /**
     * 市编码
     */
    private String erKiCityCode;

    /**
     * 区县编码
     */
    private String erKiCountyCode;

    @Override
    public String toString() {
        return "ExamRecordPageParam{" +
                "exId='" + exId + '\'' +
                ", usrName='" + usrName + '\'' +
                ", erWzId='" + erWzId + '\'' +
                ", erKiProvinceCode='" + erKiProvinceCode + '\'' +
                ", erKiCityCode='" + erKiCityCode + '\'' +
                ", erKiCountyCode='" + erKiCountyCode + '\'' +
                '}';
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public String getUsrName() {
        return usrName;
    }

    public void setUsrName(String usrName) {
        this.usrName = usrName;
    }

    public String getErWzId() {
        return erWzId;
    }

    public void setErWzId(String erWzId) {
        this.erWzId = erWzId;
    }

    public String getErKiProvinceCode() {
        return erKiProvinceCode;
    }

    public void setErKiProvinceCode(String erKiProvinceCode) {
        this.erKiProvinceCode = erKiProvinceCode;
    }

    public String getErKiCityCode() {
        return erKiCityCode;
    }

    public void setErKiCityCode(String erKiCityCode) {
        this.erKiCityCode = erKiCityCode;
    }

    public String getErKiCountyCode() {
        return erKiCountyCode;
    }

    public void setErKiCountyCode(String erKiCountyCode) {
        this.erKiCountyCode = erKiCountyCode;
    }
}
